Sessões
List all sessions
GET
/
v1
/
sessions
List all sessions
curl --request GET \
--url https://platform.kinbox.com.br/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.kinbox.com.br/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.kinbox.com.br/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "66e2f1c9a1b2c3d4e5f60718",
"_id": "66e2f1c9a1b2c3d4e5f60718",
"workspaceId": 1,
"call": {
"id": 987654,
"customerPlatformId": 1234567,
"workspacePlatformId": 103,
"operatorId": 42,
"groupId": 10,
"chatBotId": 123,
"lastBotId": 123,
"lastCallMessageId": 123,
"protocol": "2026091412345",
"uniqueIdentifier": "<string>",
"isFinished": false,
"isChatBotActive": false,
"isFromIntegration": false,
"isHidden": false,
"isImported": false,
"isReopened": false,
"isWithoutOperatorAnswer": false,
"isWithoutClientAnswer": false,
"isCreatedByActiveChat": false,
"isRatingActive": false,
"isNewContact": false,
"isNewConversation": false,
"hasScheduledAutomation": false,
"botLoopCount": 123,
"extraData": {},
"referral": {},
"customFields": {
"origem": {
"value": "site"
}
},
"createdAt": "2026-09-14T11:58:00.000Z",
"answeredAt": "2026-09-14T12:00:00.000Z",
"finishedAt": "2026-09-14T12:30:00.000Z",
"callExpiresAt": "<string>",
"firstOperatorMessageAt": "<string>",
"lastOperatorMessageAt": "<string>",
"firstCustomerMessageAt": "<string>",
"lastCustomerMessageAt": "<string>"
},
"createdAt": "2026-09-14T11:58:00.000Z",
"updatedAt": "2026-09-14T12:30:00.000Z",
"contact": {
"id": 555,
"name": "João Silva",
"avatar": "<string>",
"email": "joao@gmail.com",
"phone": "5585988887777",
"notes": "<string>",
"newContact": false,
"isPrivate": false,
"createdAt": "2026-01-10T10:00:00.000Z",
"customFields": {
"cpf": {
"value": "000.000.000-00"
}
}
},
"conversation": {
"id": 1234567,
"customerId": 123,
"platformId": 123,
"workspacePlatformId": 103,
"identifier": "5585988887777",
"uniqueIdentifier": "<string>",
"lastCallId": 123,
"origin": "<string>",
"newCustomer": false,
"hasNewMessages": false,
"showPending": false,
"wasImported": false,
"isDbMigrated": false,
"isBlocked": false,
"isGroup": false,
"importationTimestamp": 123,
"createdAt": "<string>",
"lastSeen": "<string>",
"customerLastSeen": "<string>",
"lastMessageAt": "<string>",
"customerLastMessageAt": "<string>",
"operatorLastMessageAt": "<string>",
"operatorLastMessageTriggerAt": "<string>",
"pendingAt": "<string>",
"expirationDate": "<string>"
},
"lastMessage": {
"idMessage": 37826587,
"_id": "<string>",
"operatorId": 123,
"content": "[{\"insert\":\"Olá\"}]",
"type": 0,
"createdAt": "2026-09-14T12:30:00.000Z"
},
"rating": {
"value": 5,
"operatorId": 123,
"operatorName": "<string>"
},
"trails": [
{
"date": "2026-09-14T12:00:00.000Z",
"isodate": "2026-09-14T12:00:00.000Z",
"type": "operator",
"id": 42
}
],
"interactions": [
{
"date": "2026-09-14T12:00:00.000Z",
"operatorId": 42
}
],
"interactionDates": [
"2026-09-14"
],
"tags": [
3,
8
],
"followers": [
123
],
"scheduledMessages": [
123
],
"deals": {},
"operatorMessagesCount": 4,
"assignedOperatorMessagesCount": 4,
"botMessagesCount": 2,
"contactMessagesCount": 5,
"totalMessagesCount": 11,
"messagesCountByDate": {
"2026-09-14": {
"bot": 2,
"operator": 4,
"contact": 5
}
},
"tma": 1800,
"tme": 120,
"tmp": 90,
"tmpResetOnNewAssignment": false,
"summary": "<string>",
"campaignId": "<string>",
"mergedFromCustomerId": "<string>"
}
],
"nextCursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100.
A cursor for use in pagination. The cursor is the id of the last object returned in the previous request.
Filter sessions by campaign id.
Filter sessions by the id of the contact associated with the session.
Filter sessions by the id of the call associated with the session.
Only return sessions that were updated after this date.
Only return sessions that were updated before this date.
⌘I
List all sessions
